## com.saxonica.codegen
Class CopyOfCompiler

    java.lang.Object
      com.saxonica.codegen.ExpressionCompiler
          com.saxonica.codegen.PushExpressionCompiler
              com.saxonica.codegen.CopyOfCompiler

    public class CopyOfCompiler

extends PushExpressionCompiler

Compile a CopyOf expression/instruction to Java source code. In XQuery this is used implicitly when nodes appear in the content of an element constructor.

Constructor Summary
`CopyOfCompiler()`

Method Summary
`void` `compilePush(CompilerService compiler, Expression expr)` Generate Java code to execute the expression in push mode, that is, code to write events to the current output Receiver

Methods inherited from class com.saxonica.codegen.PushExpressionCompiler
`compileToCharSequence, compileToEffectiveBooleanValue, compileToItem, compileToIterator, getStaticBaseURI, prepareToPush`

Methods inherited from class com.saxonica.codegen.ExpressionCompiler
`compileAsLoop, compileToValueRepresentation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CopyOfCompiler

    public CopyOfCompiler()

Method Detail

### compilePush

    public void compilePush(CompilerService compiler,
                            Expression expr)

  Description copied from class: `ExpressionCompiler`
  Generate Java code to execute the expression in push mode, that is, code to write events to the current output Receiver

  Specified by:
    `compilePush` in class `ExpressionCompiler`
  Parameters:
    `compiler` - the compiler service
    `expr` - the expression to be compiled

Copyright (c) Saxonica Limited. All rights reserved.